﻿using System;

namespace MWG.SharePoint2010.DocumentService
{
    public abstract class FileOperatorBase
    {
        public abstract bool CopyFile(String source, String destination);
        public abstract bool MoveFile(String source, String destination);
        public abstract bool CopyFolder(String source, String destination);
        public abstract bool MoveFolder(String source, String destination);
        public EventHandler BeforeOverwrite;
        public bool AutoOverwrite { get; set; }
    }

    public class OverwriteEventArgs : EventArgs
    {
        public OverwriteOptions Stragety { get; set; }
        private String filePath;

        public String FilePath
        {
            get { return filePath; }
            set { filePath = value; }
        }
    }

    public enum OverwriteOptions { Overwrite, Skip, Cancel };
}
