﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CopyAndMove.aspx.cs" Inherits="MWG.SharePoint2010.DocumentService.CopyAndMove,MWG.SharePoint2010.DocumentService,Version=1.0.0.0, Culture=neutral, PublicKeyToken=548912df8803535f" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Copy / Move Files</title>
    <script type="text/jscript" src="Scripts/jquery-1.4.1.min.js"> </script>
    <script src="Alerts/jquery.alerts.js" type="text/javascript"></script>
    <link href="Alerts/jquery.alerts.css" rel="stylesheet" type="text/css" media="screen" />
    <%--jAlert('This is a custom alert box', 'Alert Dialog');--%>
    <style type="text/css" id="dd">
        body
        {
            font-family: Tahoma;
            font-size: 8pt;
        }
        .titleTD
        {
            background-color: #FFFFFF;
            vertical-align: top;
            width: 180px;
        }
        .contentTD
        {
            vertical-align: top;
            background-color: #F7F3F7;
            width: 460px;
        }
        .tableBorder
        {
            border: 1px solid #C0C0C0;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
            <div style="width: 640px;">
                <table style="width: 100%; height: 100%; padding: 0 0 0 0; margin: 0 0 0 0;" class="tableBorder">
                
                    <tr style="height: 120px">
                        <td class="titleTD">
                            <strong>Load Destination Site</strong><br />
                            If you wish to copy/move the file(s) or folder(s) to a different site, input the
                            URL and click the "Load" button. If you are copy/moving within the same site, it
                            is already loaded by default.
                        </td>
                        <td class="contentTD">
                            Site URL:<br />
                            <asp:TextBox ID="txtUrl" runat="server" Width="300px"></asp:TextBox>
                            <br />
                            <asp:Button ID="btnLoad" runat="server" Text="Load" Width="120px" OnClick="btnLoad_Click" />
                        </td>
                    </tr>
                     <tr style="height: 120px">
                        <td class="titleTD">
                            <strong>Items to Copy / Move</strong><br />
                            The items you have selected to copy / move
                            
                           
                        </td>
                        <td class="contentTD">
                        <div style=" height:150px; text-align:left;  overflow-y:scroll; overflow-x:hidden" >
                           <asp:GridView Width="100%" ID="gvfiles" runat="server" AutoGenerateColumns="false">
                                <Columns>
                                 <asp:ImageField ItemStyle-Width="18px" ItemStyle-HorizontalAlign="Center" HeaderText="Type"
                                        DataImageUrlField="Icon">
                                    </asp:ImageField>
                                    <asp:HyperLinkField DataTextField="Title" HeaderText="selected files and folders" />                                   
                                </Columns>
                            </asp:GridView>
                            </div>
                        </td>
                        
                    </tr>
                    <tr style="height: 320px">
                        <td class="titleTD">
                            <strong>Select Destination Library / Folder</strong><br />
                            Select a library from the list below to copy/move the source file(s) or folder(s)
                            into. Once selected, click "Copy" or "Move" to initiate the desired action.
                        </td>
                        <td class="contentTD">
                            Current Path:&nbsp;&nbsp;
                            <asp:ImageButton ID="btnUpFolder" ImageUrl="images/breadcrumbbutton.png" runat="server"
                                OnClick="btnUpFolder_Click1" /><asp:Label ID="lblPath" runat="server" Font-Bold="True"
                                    Font-Italic="True" Font-Overline="False" Font-Size="10pt" Font-Underline="True"></asp:Label>
                            <br />
                            <br />
                            <asp:GridView Width="98%" ID="gridFolder" runat="server" AutoGenerateColumns="false"
                                OnRowCommand="gridFolder_RowCommand" DataKeyNames="ListGuid">
                                <Columns>
                                    <asp:ImageField ItemStyle-Width="18px" ItemStyle-HorizontalAlign="Center" HeaderText="Type"
                                        DataImageUrlField="Icon">
                                    </asp:ImageField>
                                    <asp:ButtonField ItemStyle-Width="20px" ItemStyle-HorizontalAlign="Center" ButtonType="Image"
                                        ImageUrl="images/CALADD.gif" CommandName="Expand" Text="Expand" HeaderText="Expand" />
                                    <asp:BoundField DataField="Title" HeaderText="Title" />
                                    <asp:TemplateField>
                                        <ItemTemplate>
                                            <asp:Label ID="lblUrl" Text='<%#Eval("URL")%>' runat="server" Style="display: none;"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <asp:Button ID="btnCopy" runat="server" CssClass="ms-ButtonHeightWidth" Text="Copy"
                                Enabled="false" OnClick="btnCopy_Click" Width="80px" />
                            <asp:Button ID="btnMove" runat="server" CssClass="ms-ButtonHeightWidth" Text="Move"
                                Enabled="false" OnClick="btnMove_Click" Width="80px" />
                            <br />
                            <div id="divLoading" runat="server" style="text-align: center; border: 1px solid gray;
                                z-index: auto; display: none">
                                <br />
                                Operation in progress.<br>
                                Please wait while your request is being performed.
                                <img src="Images/MWGloading.gif" style="width: 300px;" alt="Please wait while your request is being performed" />
                            </div>
                        </td>
                    </tr>
                    <tr style="height: 140px">
                        <td class="titleTD">
                            <div id="divLogTitle" runat="server" visible="false">
                                <strong>Operation Log</strong><br />
                                This section will list the actions taken during the copy / move operation. This
                                is used to monitor status.
                            </div>
                        </td>
                        <td class="contentTD">
                            <div id="divLogs" visible="false" style="border: 2px inset #C0C0C0; height: 100%;
                                overflow: auto" runat="server">
                            </div>
                        </td>
                    </tr>
                </table>
            </div>
    </form>
</body>
</html>
